%define enable_japanese 1

Summary: Red Hat Network Services registration program.
Name: rhn_register
Version: 1.0
Release: 7j1
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Requires: python >= 1.5.2
Requires: rpm >= 3.0.4 rpm-python >= 3.0.4 python-xmlrpc >= 1.0-3
Requires: newt >= 0.50.17
Requires: sh-utils
Obsoletes: rhns_register

%description
Allows you to register your system with Red Hat Network Services.

%package gnome
Summary: GUI client for the RHN registration program.
Group: System Environment/Base
Requires: %{name} = %{version}
Requires: usermode >= 1.33
Requires: /etc/pam.d/system-auth
Requires: redhat-logos
Requires: pygnome pygtk pygtk-libglade
Obsoletes: rhns_register-gnome


%description gnome
GNOME interface to the RHN registration program. Runs if X Windows is
available.

%prep
%setup -q

%build
make

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/System
cat > $RPM_BUILD_ROOT/etc/X11/applnk/System/rhn_register.desktop << EOF
[Desktop Entry]
Name=RHN Registration
Comment=Register your computer with Red Hat Network.
Icon=redhat/shadowman-round-48.png
Exec=/usr/bin/rhn_register
Type=Application
Terminal=false
EOF

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/rhn

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /etc/sysconfig/rhn
/usr/sbin/rhn_register
/usr/share/rhn/register/translate.*
/usr/share/rhn/register/tui.*
/usr/share/rhn/register/hardware.*
/usr/share/rhn/register/rhnreg.*

%files gnome
%defattr(-,root,root)
%config /etc/X11/applnk/System/rhn_register.desktop
%config(noreplace) /etc/security/console.apps/rhn_register
%config(noreplace) /etc/pam.d/rhn_register
/usr/bin/rhn_register
%if ! %{enable_japanese}
/usr/lib/desktop-links/rhn_register-install.sh
%endif
/usr/share/rhn/register/*.png
/usr/share/rhn/register/gui.*
/usr/share/rhn/register/progress.*
/usr/share/rhn/register/checklist.*

%changelog
* Tue Sep 12 2000 Yukihiro Nakai <ynakai@redhat.com>
- Remove rhn_register-install.sh script from package.
  because there is no such service in Japane yet.

* Sun Aug 27 2000 Preston Brown <pbrown@redhat.com>
- work around gtk problem with some labels on the hardware screen not showing
- platform-independent when reading cpuinfo out of /proc
- not sure what is up with the gtk label stuff.

* Fri Aug 25 2000 Preston Brown <pbrown@redhat.com>
- crucial TUI fixes for FatalErrorWindow

* Thu Aug 24 2000 Preston Brown <pbrown@redhat.com>
- bump version
- change way packagelist is built in gui to match tui, which works when
  there are multiple packages w/the same name in the RPM database.
- install desktop icon
- translatable strings included.

* Mon Aug 22 2000 Preston Brown <pbrown@redhat.com>
- explicit requirement on the correct version of newt.
- include tui, remove console module
- include artwork

* Mon Aug 21 2000 Preston Brown <pbrown@redhat.com>
- read glade file for progress bar from proper location

* Sun Aug 20 2000 Preston Brown <pbrown@redhat.com>
- profile.d scripts are gone
- move console-helper stuff to gnome subpkg.


* Wed Aug 09 2000 Preston Brown <pbrown@redhat.com>
- first cut.
- do not depend on usermode for this release.
